# LineageOS on Motorola Z2 Force

Whenever there is a major LineageOS Update, chances are that I forgot
the flashing process. So here are the notes.

Disclaimer: Due to the missing tools to flash from OpenBSD, I use my
work computer, which runs windows.

*Required Downloads:*

* [Android Platform Tools](https://dl.google.com/android/repository/platform-tools-latest-windows.zip)
  (contains adb and fastboot)
* [Motorola Smart Assistant](https://support.lenovo.com/us/en/downloads/ds101291) (contains USB drivers for fastboot)

*Prepare:*

- Install motorola smart assistant
- Extract  platform-tools  make  sure  you're  in  the  platform  tools
  directory or that they are in your $PATH.

*Update steps:*

- &gt; Boot into bootloader (power+down)
- $ fastboot flash boot_a &lt;lineageos_recovery&gt;.img
- $ fastboot flash boot_b &lt;lineageos_recovery&gt;.img
- &gt; Boot into bootloader (power+down) -&gt; Boot Recovery
- &gt; Factory Reset -&gt; Wipe data / factory reset + Wipe System
- &gt; Apply update -&gt; adb sideload
- $ adb sideload &lt;lineageos&gt;.zip
- $ adb sideload &lt;addons&gt;.zip
- &gt; Reboot

$ == commandline activity<br>
&gt; == phone activity

*Notes:*

* "adb devices" works without USB drivers
* "fastboot devices" shows nothing if USB drivers are not installed
* This phone has two boot areas and therefore "fastboot flash boot" will
  fail. The areas "boot_a" and "boot_b" must be used instead. If "boot_a"
  and "boot_b" are flashed differently, booting will fail.
